Index: npl/internetserver/pecl_memcache/pecl_memcache.SlackBuild
===================================================================
--- npl/internetserver/pecl_memcache/pecl_memcache.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/internetserver/pecl_memcache/pecl_memcache.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,75 @@
+#!/bin/bash
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
+#DEP:php5
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+MAKE_OPTS=""
+
+/usr/php5/bin/phpize || exit 1
+./configure  --with-php-config=/usr/php5/bin/php-config   || exit 1
+make || exit 1
+
+mkdir /tmp/pkg
+make install INSTALL_ROOT=/tmp/pkg || exit 1
+popd
+
+
+mkdir -p /tmp/pkg/etc/php5/
+echo 'extension=memcache.so' > /tmp/pkg/etc/php5/memcache.ini
+
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/internetserver/pecl_memcache/pecl_memcache.arch
===================================================================
--- npl/internetserver/pecl_memcache/pecl_memcache.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/internetserver/pecl_memcache/pecl_memcache.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/internetserver/pecl_memcache/pecl_memcache.depver
===================================================================
--- npl/internetserver/pecl_memcache/pecl_memcache.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/internetserver/pecl_memcache/pecl_memcache.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+php5	7
Index: npl/internetserver/pecl_memcache/pecl_memcache.md5
===================================================================
--- npl/internetserver/pecl_memcache/pecl_memcache.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/internetserver/pecl_memcache/pecl_memcache.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,4 @@
+24505e9b263d2c77f8ae5e9b4725e7d1  ./memcache-3.0.8.tar.gz
+b1a64066dd0fcf9a9d5f07b41bc1f545  ./pecl_memcache.pkg
+5edd68db2b634cefa288b21b81a548d2  ./pecl_memcache.SlackBuild
+ec40fa64b53e6ef7b6e68b448f4158e8  ./pecl_memcache.SlackBuild.log.gz
Index: npl/internetserver/pecl_memcache/pecl_memcache.version
===================================================================
--- npl/internetserver/pecl_memcache/pecl_memcache.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/internetserver/pecl_memcache/pecl_memcache.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+3.0.8
